Description

Extracted from #1157:

Mischa The Evil wrote:

Jean-Philippe Lang wrote:

Anyway, it's now available in r2088. The cross-project issue list now shows the links.

 Great improvement [...]

Though, one thing: looking at the implementation in r2088 I prefer to have the same breadcumbs as brought by r1778 for

the cross-project timelog.

I have created a simple patch against r2088 which does the same thing (adding project-breadcumbs based on r1778) for

the calendar and the gantt views. I'll attach it to this issue..

HTH...

 Mischa The Evil wrote:

Jean-Philippe Lang wrote:

Mischa, I think permanent breadcumbs for project path should be added.

This can be very usefull when unlimited project nesting is done. Maybe we could add this to the top of the header?

 This seems to be a good improvement, indeed especially when unlimited project nesting is done.

Though, after the implementation of r2088, I think that the personally-proposed breadcumbs for the Cross-project gantt and

calendar would provide a great (temporarily) solution for the 0.8-stable-branch. Then they can be replaced/modified (in

trunk/0.9) to fit the unlimited project nesting implementation.

The acceptance of this patch would also bring all the global reports which are reachable from within a project (and thus

makes upwards-browing possible) in sync at the implementation-level. Then both Planning and Spent time reports are

having the same breadcumbs.

 

I've extracted the feature request from #1157 and updated the patch from #1157 against the current trunk.

I personally hope to get this into the core. It seems to be a slight addition which provides a similiar interface for the several views.

 

Kind regards,

Mischa.
History

#1 - 2010-02-26 14:39 - Jon Burton

Bump! This is something I'd like too. #1484 wasn't a duplicate of #1157 since the request was a Gantt chart of all users across all projects, whereas 

#1157 was simply one user across all projects.

#2 - 2010-10-03 15:06 - Mischa The Evil

- Subject changed from Add projects-breadcrumb to Gannt and Calendar view ending at "all projects" to Add projects-breadcrumb to Gantt and

Calendar views ending at "all projects"

#3 - 2010-12-16 06:39 - Mischa The Evil

This might be something that can be included in the changes for issue #6688?

#4 - 2010-12-16 06:44 - Mischa The Evil

Jon Burton wrote:

Bump! This is something I'd like too. #1484 wasn't a duplicate of #1157 since the request was a Gantt chart of all users across all projects,

whereas #1157 was simply one user across all projects.

 The only thing this issue proposes is the display of a breadcrumb in the gantt and calendar views, like it is already done for the spent time reports.

Nothing else. I don't see how this is related to issue #1484 (which IMHO is itself correctly closed as a duplicate of issue #1157). Could you explain?

Files

new_planning_breadcrumbs-r3332.patch 1.59 KB 2010-01-19 Mischa The Evil
